Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## i2p.susi.webmail
Class Attachment

    java.lang.Object
      i2p.susi.webmail.Attachment

    public class Attachment

extends Object

Author:
  user

Constructor Summary
`Attachment()`

Method Summary
`ReadBuffer` | `getBuffer()`
`String` | `getContentType()`
`String` | `getData()`
`String` | `getFileName()`
`String` | `getTransferEncoding()`
`void` | `setBuffer(ReadBuffer buffer)`
`void` | `setContentType(String contentType)`
`void` | `setData(String data)`
`void` | `setFileName(String fileName)`
`void` | `setTransferEncoding(String transferEncoding)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Attachment

    public Attachment()

Method Detail

### getFileName

    public String getFileName()

  Returns:
    Returns the fileName.

### setFileName

    public void setFileName(String fileName)

  Parameters:
    `fileName` - The fileName to set.

### getBuffer

    public ReadBuffer getBuffer()

  Returns:
    Returns the buffer.

### setBuffer

    public void setBuffer(ReadBuffer buffer)

  Parameters:
    `buffer` - The buffer to set.

### getTransferEncoding

    public String getTransferEncoding()

### getContentType

    public String getContentType()

### setContentType

    public void setContentType(String contentType)

  Parameters:
    `contentType` - The contentType to set.

### setTransferEncoding

    public void setTransferEncoding(String transferEncoding)

  Parameters:
    `transferEncoding` - The transferEncoding to set.

### setData

    public void setData(String data)

### getData

    public String getData()

  Returns:
    Returns the data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD